> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a specific voucher



## OpenAPI

````yaml /openapi/integrations-api/openapi.yml get /vouchers/{id}
openapi: 3.0.0
info:
  title: Spirii Legacy API
  description: >-
    API for integration to Spirii CPO backend for charge point owners and charge
    point operators with access to whitelabel user data.
  version: 1.1.25
servers:
  - url: https://api.spirii.com/
    description: Production Environment
security: []
paths:
  /vouchers/{id}:
    get:
      tags:
        - Vouchers
      summary: Retrieve a specific voucher
      parameters:
        - $ref: '#/components/parameters/voucherIdQuery'
      responses:
        '200':
          $ref: '#/components/responses/voucher'
        '400':
          $ref: '#/components/responses/badRequest'
        '500':
          $ref: '#/components/responses/badImplementation'
components:
  parameters:
    voucherIdQuery:
      in: path
      name: id
      required: true
      schema:
        description: Voucher Id
        type: string
  responses:
    voucher:
      description: Voucher list
      content:
        application/json:
          schema:
            type: object
            required:
              - id
              - groupId
              - code
              - maxUsers
              - expiresAt
            properties:
              id:
                $ref: '#/components/schemas/id'
              groupId:
                $ref: '#/components/schemas/groupId'
              code:
                $ref: '#/components/schemas/code'
              maxUsers:
                $ref: '#/components/schemas/maxUsers'
              createdAt:
                $ref: '#/components/schemas/currency'
              updatedAt:
                $ref: '#/components/schemas/updatedAt'
              expiresAt:
                $ref: '#/components/schemas/expiresAt'
              location:
                type: array
                items:
                  $ref: '#/components/schemas/location'
              voucherGroup:
                type: object
                required:
                  - id
                  - name
                  - perKwh
                  - currency
                  - isSpotPriceBased
                  - spotPriceMargin
                  - spotPriceMarginPct
                  - spotPriceMinimum
                  - createdAt
                  - updatedAt
                  - voucherCount
                properties:
                  id:
                    $ref: '#/components/schemas/id'
                  name:
                    $ref: '#/components/schemas/name'
                  perKwh:
                    $ref: '#/components/schemas/perKwh'
                  currency:
                    $ref: '#/components/schemas/currency'
                  isSpotPriceBased:
                    $ref: '#/components/schemas/isSpotPriceBased'
                  spotPriceMargin:
                    $ref: '#/components/schemas/spotPriceMargin'
                  spotPriceMarginPct:
                    $ref: '#/components/schemas/spotPriceMarginPct'
                  spotPriceMinimum:
                    $ref: '#/components/schemas/spotPriceMinimum'
                  createdAt:
                    $ref: '#/components/schemas/createdAt'
                  updatedAt:
                    $ref: '#/components/schemas/updatedAt'
                  voucherCount:
                    $ref: '#/components/schemas/voucherCount'
          example:
            id: 12710
            groupId: 778
            code: 123hjbo6
            maxUsers: null
            createdAt: '2022-06-10T13:54:04.000Z'
            updatedAt: '2022-10-03T09:57:04.000Z'
            expiresAt: '2022-10-03T11:57:04.000Z'
            locations:
              - id: 1209
                name: Gentofte Hospital
                streetAddress: Ledreborg allé 36
                zipCode: '2820'
                city: Gentofte
              - id: 1330
                name: Hillerød Hospital
                streetAddress: Dyrehavevej 48
                zipCode: '3400'
                city: Hillerød
            group:
              id: 778
              name: '4545'
              perKwh: 3
              currency: DKK
              isSpotPriceBased: false
              spotPriceMargin: 26
              spotPriceMarginPct: 10
              spotPriceMinimum: 24
              createdAt: '2022-06-08T15:52:43.000Z'
              updatedAt: '2022-11-07T04:56:18.000Z'
              voucherCount: 0
    badRequest:
      description: Bad Request, invalid request or missing request parameter
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: >-
                      No fields to update. Please provide at least one of the
                      valid fields
          example:
            error:
              message: Querystring parameter `id` is not allowed
              statusCode: 400
              code: QueryParamNotAllowed
    badImplementation:
      description: Something went wroing, try again later
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: Something went wroing, try again later
          example:
            error:
              message: Something went wroing, try again later
              statusCode: 500
  schemas:
    id:
      description: id
      type: integer
      example: 1
    groupId:
      type: integer
      example: 5
    code:
      type: string
      example: code123
    maxUsers:
      type: integer
      example: 5
      nullable: true
    currency:
      description: pricing currency
      type: string
      example: DKK
      nullable: true
    updatedAt:
      description: Updated date
      format: timestamp
      type: string
      example: '2021-04-20T14:38:20.000Z'
    expiresAt:
      description: Updated date
      type: string
      format: timestamp
      example: '2021-04-20T14:38:20.000Z'
      nullable: true
    location:
      type: object
      required:
        - id
        - name
        - zipCode
        - city
      properties:
        id:
          $ref: '#/components/schemas/id'
        name:
          $ref: '#/components/schemas/name'
        streetAddress:
          $ref: '#/components/schemas/streetAddress'
        zipCode:
          $ref: '#/components/schemas/zipCode'
        city:
          $ref: '#/components/schemas/city'
    name:
      description: name
      type: string
      example: Kokbjerg
    perKwh:
      description: price per kwh
      type: number
      example: 3
      nullable: true
    isSpotPriceBased:
      type: boolean
      example: false
    spotPriceMargin:
      type: number
      example: 0.5
      nullable: true
    spotPriceMarginPct:
      type: number
      example: 0.5
      nullable: true
    spotPriceMinimum:
      type: number
      example: 0.5
      nullable: true
    createdAt:
      description: Created date
      format: timestamp
      type: string
      example: '2021-04-20T14:38:20.000Z'
    voucherCount:
      type: integer
      example: 1
    streetAddress:
      description: street
      type: string
      example: Kokbjerg 30
    zipCode:
      description: zip code
      type: string
      example: '6000'
    city:
      description: city
      type: string
      example: Kolding

````